import { Repository } from "typeorm";
import { Plan } from "../../common/plan/plan.entity";
import { CreatePlanDto, UpdatePlanDto, UpdateStatusDto } from "./plan.dto";
export declare class AdminPlanService {
    private readonly planRepository;
    constructor(planRepository: Repository<Plan>);
    create(CreatePlanDto: CreatePlanDto): Promise<Plan>;
    findAll(): Promise<Plan[]>;
    findOne(id: number): Promise<Plan>;
    update(id: number, UpdatePlanDto: UpdatePlanDto): Promise<Plan>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Plan>;
}
